PostgreSQL 7.1.3 Documentation
Prev |  | Next

# dropuser

## Name

dropuser -- Drops (removes) a Postgres user

## Synopsis

dropuser [`options`...] [`username`]

### Inputs

-h, --host `host`

  Specifies the hostname of the machine on which the postmaster is running. If host begins with a slash, it is used as the directory for the unix domain socket.

-p, --port `port`

  Specifies the Internet TCP/IP port or local Unix domain socket file extension on which the postmaster is listening for connections.

-e, --echo

  Echo the queries that createdb generates and sends to the backend.

-q, --quiet

  Do not display a response.

-i, --interactive

  Prompt for confirmation before actually removing the user.

`username`

  Specifies the name of the Postgres user to be removed. This name must exist in the Postgres installation. You will be prompted for a name if none is specified on the command line.

The options `-h`, `-p`, and `-e`, are passed on literally to psql. The psql options `-U` and `-W` are available as well, but they can be confusing in this context.

### Outputs

`DROP USER`

  All is well.

`dropuser: deletion of user "`username`" failed`

  Something went wrong. The user was not removed.

If there is an error condition, the backend error message will be displayed. See DROP USER and psql for possibilities.

## Description

dropuser removes an existing Postgres user and the databases which that user owned. Only users with `usesuper` set in the `pg_shadow` table can destroy Postgres users.

dropuser is a shell script wrapper around the SQL command DROP USER via the Postgres interactive terminal psql. Thus, there is nothing special about removing users via this or other methods. This means that the psql must be found by the script and that a database server is running at the targeted host. Also, any default settings and environment variables available to psql and the libpq front-end library do apply.

## Usage

To remove user `joe` from the default database server:

    $ dropuser joe
    DROP USER

To remove user `joe` using the postmaster on host eden, port 5000, with verification and a peek at the underlying query:

    $ dropuser -p 5000 -h eden -i -e joe
    User "joe" and any owned databases will be permanently deleted.
    Are you sure? (y/n) y
    DROP USER "joe"
    DROP USER

Prev | Home | Next
dropdb | Up | ecpg